post
/v4/internal/payload/gnosis/async
Start async analysis of campaigns from a Safe file. Returns a job ID immediately. Use GET /payload/jobs/:jobId to check status and retrieve results.
Request body
object
chainIdstringrequired
Chain ID where the campaign is deployedtransactionsobject[]required
contractInputsValuesobject | null
newCampaignstringResponses
200Response for status 200
Schema
object
jobIdstringrequired
Job ID to poll for resultsExample
{
"jobId": "string"
}post
https://api.merkl.xyz/v4/internal/payload/gnosis/asynccurl -X POST "https://api.merkl.xyz/v4/internal/payload/gnosis/async" \
-H "Content-Type: application/json" \
-d '{ "chainId": "string", "transactions": [ { "contractInputsValues": { "newCampaign": "string" } } ] }'Current params
{
"body": {
"chainId": "string",
"transactions": [
{
"contractInputsValues": {
"newCampaign": "string"
}
}
]
}
}Live request — this will call https://api.merkl.xyz/ for real.